
/**
 * Module dependencies.
 */

var read = require('fs').readFileSync
var struct = require('rework-struct')
var rework = require('rework')

/**
 * Export `struct`.
 */

module.exports = build

/**
 * Rework css with `rework-struct`.
 *
 * @param {Function} builder
 */

function build (builder) {
  builder.hook('before styles', function (pkg) {
    var styles = pkg.config.styles

    if (!styles) return;

    styles.forEach(function (style) {
      var css = read(pkg.path(style), 'utf-8')

      // Run `src` through struct.
      css = rework(css)
        .use(struct())
        .toString()

      pkg.removeFile('styles', style)
      pkg.addFile('styles', style, css)
    })
  })
}
